
D4Science Infrastructure - Task #10956

Task # 10957 (Closed): Test GS Migration

Task # 10955 (Closed): Provide production geoserver clone

Clone geoserver.d4science.org

Jan 17, 2018 12:12 PM - Fabio Sinibaldi

Status: Closed Start date: Jan 17, 2018

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: SDI-nodes management   

Infrastructure: Production   

Description

Please clone mentioned VM and grant the new machine access to the following databases:

timeseriesgisdb on node50.p.d4science.research-infrastructures.eu

aquamapsdb on geoserver-db.d4science.org

aquamapsgeomar on node52.p.d4science.research-infrastructures.eu

mpa on geoserver-db.d4science.org

Access to these databases needs to be read only for security reasons, so an ad-hoc user should be created and provided in this

ticket. 

Related issues:

Related to D4Science Infrastructure - VM Creation #11126: Access to a VM with... Closed Feb 07, 2018

History

#1 - Jan 24, 2018 11:08 AM - Vincenzo Terrano

- Priority changed from Normal to Urgent

What is the status of cloning process?

#2 - Jan 25, 2018 11:18 AM - Tommaso Piccioli

- Status changed from New to In Progress

- Assignee changed from Andrea Dell'Amico to _InfraScience Systems Engineer

- % Done changed from 0 to 50

The new VM is almost ready, accesses to the various databases must be created.

#3 - Jan 29, 2018 03:52 PM - Vincenzo Terrano

When will it be ready?

#5 - Jan 30, 2018 01:01 PM - Andrea Dell'Amico

The user has the CONNECT role on all the required DBs and the SELECT role on all the DB tables. Because the databases run on postgresql < 9 the

grants must be set on each table. If new tables will be added, the grants on that tables must be set again. I used commands like

CREATE USER reader WITH PASSWORD '**********';

grant CONNECT on DATABASE aquamapsgeomar to reader;

psql -At -d aquamapsgeomar -c "SELECT 'GRANT SELECT ON '|| tablename||' TO reader;' FROM pg_tables WHERE schem

aname='public';" | psql -d aquamapsgeomar

psql -At -d aquamapsgeomar -c "SELECT 'GRANT SELECT ON '||c.relname||' TO reader;' FROM pg_class c JOIN pg_nam

espace n ON (n.oid=c.relnamespace) WHERE c.relkind='S' AND n.nspname='public';" | psql -d aquamapsgeomar

 to configure the user. pg_hba.conf has been configured accordingly.

#6 - Jan 30, 2018 01:03 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback
- % Done changed from 50 to 100

The geoserver  cloned VM  has been called geoserver5.d4science.org. @vincenzo.terrano@eng.it has access as gcube user.

I did not change the geoserver configuration to use the new user.

#7 - Feb 07, 2018 08:06 PM - Andrea Dell'Amico

- Related to VM Creation #11126: Access to a VM with Geoserver v2.10 istance added

#8 - Feb 07, 2018 08:06 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
